POST
/programCreate a program
Create an isolated book of accounts with a single currency.
Required Attributes
metadataobject
Arbitrary JSON attached to the program
program_namestringrequired
Human-readable name
Example: "Wallets"
program_typestring
'pooled' (default) or 'individual'
Example: "pooled"
currency_codestringrequired
ISO 4217 currency, uppercased. Immutable.
Example: "USD"
Request
POST/program
curl --location 'https://api.ledgr.dev/v1/program' \
--header 'Authorization: {api_key}' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {},
"program_name": "Wallets",
"program_type": "pooled",
"currency_code": "USD"
}'Response
Program created
{
"status": "success",
"program": {
"status": "active",
"program_id": "prog_1U09GGBWE4mVGRnIL6GmVmeZ",
"program_name": "Wallets",
"currency_code": "USD"
}
}